<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<?php
if(!isset($_SESSION["admin"])) {  
    header("Location: APLogin.php");   //Si no està loggejat, retorna a la pàgina de login
}
else{
  include 'conBD.php';

}
?>

<header class="page-header">
	<div class="divheadAP">
    	<div class="container">
            <div class="user-panelAP">
					<?php 
  						if($_SESSION['logged_in']) { 
      						echo '<span>Hola, </span>' . $_SESSION["admin"] . '  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else {
							echo '<a href="index.php">Tornar a l\'inici</a>';
						}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="APpreus.php">Preus</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="APofertes.php">Ofertes</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APreserves.php">Reserves</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APopinions.php">Opinions</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>

  <!--Inici Ofertes-->
<section> 
<div class="section-headerAP">
        <h1>Ofertes</h1>
        <hr class="linia-bottom"></hr> 
</div> 
<div id="ofertesAP"> 
<div class="container">
<div style="width:60%; margin:0 auto;">
      <form method="post" action="gestioOfertes.php?opcio=MODIFICAR">
      <table class="table table-striped">
        <thead>
            <th>Títol</th>
            <th>Text</th>
            <th></th>
          </thead>
          <tbody>
          <?php
			$query="SELECT * FROM ofertes";
			$resultat=$mysqli->query($query)or die($mysqli->error);
			$i=0;
			while ($row=$resultat->fetch_assoc()) {
		  ?>
           <tr id="<?php echo $row['id'];?>">
            	<input class="form-control" type="hidden" name="id[<?php echo $i; ?>]" value="<?php echo $id=$row['id'];?>">
                <td><input class="form-control" type="text" name="titol[<?php echo $i; ?>]" value="<?php echo $titol=$row['titol'];?>"></td>
               <td><input class="form-control" type="text" name="text[<?php echo $i; ?>]" value="<?php echo $text=$row['text'];?>"></td>
              <td><button type="submit" name="submit" class="modificarOferta">Modificar</button><br /><br />
              <button class="eliminarOferta">Eliminar</button></td>
            </tr>
            <?php
			$i++;}
			?>
            <input type="hidden" name="count" value="<?php echo $i; ?>" />
          </tbody>
      </table>
      </form>
      <br /><br />
      <h4>Afegeix una oferta</h4>
      <div id="alerta" class="row"></div><br>
      <form>
      <table class="table table-striped">
        <thead>
            <th>Títol</th>
            <th>Text</th>
          </thead>
          <tbody>
            <tr>
                <td><input class="form-control" type="text" id="titol"></td>
               <td><input class="form-control" type="text" id="text"></td>
            </tr>
          </tbody>
      </table>
      <div>
          <button type="button" id="afegirOferta" class="btn btn-secondary actualitzarAP">Afegir oferta</button>
      </div>
      </form>
      </div>
</div>
</div>
</section>
<!--Fi Ofertes-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>

<script>

/****************************ELIMINAR EL REGISTRE DE LA BBDD I EL TR DE LA TABLA****************************************/
$(document).on('click','td button.eliminarOferta', function(){ 
//Quan fem click a ELIMINAR s'executarà l'esdeveniment per eliminar la fila pare
	var fila_id=($(this).parent().parent().attr('id')); //Recollim l'id
	var dades="id="+fila_id;
		
		$.ajax({
			url: 'gestioOfertes.php?opcio=ELIMINAR',		
			type: 'POST',				
			data:dades,			
			success: function(msg){	
			},
			error: function(){	
			//alert ('Hi ha hagut un error');
			}
			
		});
		
	$('#'+fila_id).remove(); //Eliminem la fila associada a la id
		
});	


/************************AFEGIR***********************************************************************************/
	 
$("#afegirOferta").click(function(){
		
	//Guardem les variables
	var dades = {
		titol:$('#titol').val(),
		text:$('#text').val(),
	};
		
	console.log(dades);
	$.ajax({
		url: 'gestioOfertes.php?opcio=AFEGIR', 
		type: 'POST',				  
		data:dades,					  		
		success: function(){	
				
		var text="L'oferta s'ha emmagatzemat correctament al sistema";
		$("#alerta").addClass('alert alert-success row').html('<strong>'+text+'</strong>');
				
	},	
	error: function(){		
		//alert ('Hi ha hagut un error');
	}
			
	});
 
});
	
</script>
	
</html>