<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<link rel="stylesheet" href="src/animate/animate.min.css" >
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id="portada" class="casacolonies">
		<!--<h2 class="petit">VILADA</span></h2>
         <p class="gran">Vine i descobreix-nos</p>-->
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center white">
     <div class="col">
       <!--<h1 class="quadre-title">Cal Candi</h1>
       <h4 class="quadre-subtitle">Som aquí per ajudar-te</h4>-->
       </div>
    </div>
  </div>
<!--Fi quadre-->
 <!--Inici Casa de colònies-->   
<section id="casacolonies">  
<div class="section-header">
    <h1>La casa de colònies</h1>
    <hr class="linia-bottom"></hr> 
</div>
<div id="info"> 
<div class="container">
  <div class="row" >
  	<div class="col-md-6">
  		<p>Des del 1990, la casa de colònies Camps de Vilarrassa ha fet gaudir de la natura més pròxima a una infinitat de joves i escolars.</p>
        <p>La casa està en una immillorable situació, a només 10 minuts caminant del pantà de la Baells, a 5 minuts del poble de Vilada, on hi ha la piscina municipal i el camp de futbol.</p>
        <p>La casa consta de 95 places i està adaptada per persones amb mobilitat reduïda.</p>
        <p>Disposem de dues sales interiors on realitzar tallers i balls, de dues llars de foc, calefacció, televisió, connexió wifi i telèfon.</p>
   </div>

<!--Inici CAROUSEL-->
    <div class="col-md-6" data-aos="fade-up">
		<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">         	
        	<div class="carousel-inner">
        		<div class="carousel-item active">
          			<img src="src/img/colonies1.jpg" class="d-block w-100" alt="...">
        		</div>
                <div class="carousel-item">
                    <img src="src/img/colonies4.jpg" class="d-block w-100" alt="...">
                </div>
                <div class="carousel-item">
                    <img src="src/img/colonies6.jpg" class="d-block w-100" alt="...">
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Anterior</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Següent</span>
            </a> 
   		</div>
  </div>
  </div>
</div>
</div>
</section>
<!-- Fi CAROUSEL-->

<!--Inici ACTIVITATS-->

<section id="ActivitatsCasa" class="clearfix">
	<div class="section-padding">
        <h1>Activitats</h1>
        <hr class="linia-bottom"></hr> 
	</div>
		<div class="container">
        
        <div class="grid-gallery">
    		<div class="grid-gallery__item">
        		<div class="grids-wrap">
        			<img class="grid-gallery__image" src="src/img/activitat1.jpg">
        				<div class="grids-info">
        					<h4>Esports a la natura</h4>                
                				<div>
                                  <p>Escalada en rocòdrom</p>
                                    <p>Pont de mico</p>
                                    <p>Tir amb arc</p>
                                    <p>Bicicleta de muntanya</p>
                                    <p>Circuit d'orientació</p>
                                    <p>Senderisme (mín 10 pax)</p>
                                    <p>Ecoexcursió (descoberta de l'entorn)</p>
                                    <p>Freesbe golf al bosc</p>
                                    <p>Circuit d'arbres (tirolina, pont...)</p>
                                    <p>Vol amb globus aeroestàtic</p>
                                    <p>Descoberta del parapent</p>
                                    <p>Equitació (hípica Vilaformiu)</p>
                                    <p>Quads</p>
                                    <p>Sidways</p>
                				</div>
    				</div>
				</div>
			</div>
			<div class="grid-gallery__item">
        		<div class="grids-wrap">
        			<img class="grid-gallery__image" src="src/img/colonies5.jpg">
        				<div class="grids-info">
        					<h4>Tallers</h4>                
                				<div>
                                  <p>Astronomia</p>
                                  <p>Ceràmica</p>
                                  <p>Fimo (peces de ceràmica)</p>
                                  <p>Tint de roba (inclou samarreta)</p>
                                  <p>Marroquineria</p>
                                  <p>Màscares de guix</p>
                                  <p>Estels</p>
                                  <p>Pa de pagès</p>
                                  <p>Recerca de fòssils</p>
                                  <p>Tallers de llana (mandala)</p>
                                  <p>Tallers de natura</p>
                                  <p>Crèdits de síntesi a mida</p>
                				</div>
    				</div>
				</div>
			</div>
            <div class="grid-gallery__item">
            	<div class="grids-wrap">
        			<img class="grid-gallery__image" src="src/img/piraguisme.jpg">
            			<div class="grids-info">
            				<h4>Activitats aquàtiques</h4>
               			 	<div>
                 				<p>Piragüisme</p>
                  				<p>Passeig fluvial al rierol del Tritó</p>
                			</div>
    					</div>
        		</div>
        	</div>
            <div class="grid-gallery__item">
        		<div class="grids-wrap">
        			<img class="grid-gallery__image" src="src/img/excursionisme.jpg">
        				<div class="grids-info">
        					<h4>Gimcanes</h4>                
                				<div>
                                  	<p>Aventura (combinació de 3 activitats)</p>
                                    <p>Gimcana diürna i nocturna</p>
                                    <p>Joc de l'oca</p>
                                    <p>Badminton</p>
                                    <p>Jocs de nit</p>
                                    <p>Discoteca</p>
                				</div>
    				</div>
				</div>
			</div>
            <div class="grid-gallery__item">
        		<div class="grids-wrap">
        			<img class="grid-gallery__image" src="src/img/activitat2.jpg">
        				<div class="grids-info">
        					<h4>Museus i llocs d'interès</h4>                
                				<div>
                                  <p>Monestir romànic de Pedret</p>
                                  <p>Monestir romànic de Sant Jaume de Frontanyà</p>
                                  <p>Jardins Artigues (dissenyats per Antoni Gaudí)</p>
                                  <p>Visita guiada al Castell de Roset</p>
                                   <p>Museu del tèxtil a la Colònia Vidal</p>
                                  <p>Museu de la Mineria a Cercs</p>
                				</div>
    				</div>
				</div>
			</div>
            <div class="grid-gallery__item">
        		<div class="grids-wrap">
        			<img class="grid-gallery__image" src="src/img/colonies2.jpg">
        				<div class="grids-info">
        					<h4>Monitors</h4>                
                				<div>
                                  <p>Lleure dia sencer</p>
                                  <p>Vigilància nocturna</p>
                                  <p>Servei de menjador</p>
                				</div>
    				</div>
				</div>
			</div>
</div>
</div>
</section>          
  
<!--Fi ACTIVITATS-->


<!--Inici Informació Casa colònies-->

   <section id="CasacoloniesInfo">
      <div class="container">
        <div class="wrapper">
            <div class="box">
              <div class="icon"><i class="fas fa-clock"></i></div>
              <h4 class="title">Durada</h4>
              <p class="description" align="center">La durada de les activitats és de 2 a 3 hores, en funció de cada una</p>
          </div>
            <div class="box">
              <div class="icon"><i class="fas fa-taxi"></i> </div>
              <h4 class="title">Servei de taxi</h4>
              <p class="description" align="center">Per realitzar les activitats fora de la casa disposem d'un servei de taxi</p>
		</div>
            <div class="box">
              <div class="icon"><i class="fas fa-hiking"></i></div>
              <h4 class="title">Modificació d'activitats</h4>
              <p class="description" align="center">La casa es reserva el dret de modificar les activitats segons la meteorologia i el criteri dels monitors</p>
            </div>
            <div class="box">
              <div class="icon"><i class="fas fa-thumbs-up"></i></div>
              <h4 class="title">Estada a mida</h4>
              <p class="description" align="center">Si trieu les activitats us muntem l'estada i us fem un programa i pressupost a mida</p>
            </div>
            <div class="box">
              <div class="icon"><i class="fas fa-euro-sign"></i></div>
              <h4 class="title">Pagament</h4>
              <p class="description" align="center">L'import total de la factura es farà efectiu en el moment d'entrar a la casa</p>
            </div>
            <div class="box">
              <div class="icon"><i class="fas fa-map"></i></div>
              <h4 class="title">Esquema</h4>
            	<p class="description" align="center">
                <a href="src/img/casaColoniesEsquema.jpg">
                    <img id="myImg" src="src/img/casaColoniesEsquema.jpg" style="width:30%;max-width:90px"></a></p>

                    <!--Modal-->
                    <div id="myModal" class="modal">
                      <span class="close">&times;</span>
                      <img class="modal-content" id="img01">
                      <div id="caption"></div>
                    </div>
            </div>
            <div class="box">
              <div class="icon"><i class="fas fa-user"></i></div>
              <h4 class="title">Reserva</h4>
              <p class="description" align="center">S'ha de reservar amb antelació</p>
             <p class="description" align="center"><a href="reserves.php?v1=<?php echo "c1" ?>">Reserva ara</a></p>
            </div>
            <div class="box">
              <div class="icon"><i class="fas fa-question-circle"></i></div>
              <h4 class="title">Contacte</h4>
              <p class="description" align="center">Tens un dubte?</p>
             <p class="description" align="center"><a href="contacte.php">contacta'ns</a></p>
            </div>
            <div class="box">
              <div class="icon"><i class="fas fa-edit"></i></div>
              <h4 class="title">Enquesta per a professors</h4>
              <p class="description" align="center">Ens agradaria que ens <a href="https://docs.google.com/forms/d/e/1FAIpQLSe6C6CxTr1f6HaDARKqge29y78hEYPH-vlPWi4qJ4VZ1bN0qQ/viewform?usp=sf_link">valoréssiu</a> per seguir millorant</p>
            </div>
     </div>
      </div>
    </section>

  <!--Fi Informació Casa colònies-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
<script>
// Agafem el modal
var modal = document.getElementById("myModal");

// Agafem la imatge i la posem dins el modal
var img = document.getElementById("myImg");
var modalImg = document.getElementById("img01");
img.onclick = function(){
  modal.style.display = "block";
  modalImg.src = this.src;
}

// Agafem l'<span> que tanca el modal
var span = document.getElementsByClassName("close")[0];

// Quan l'usari cliqui l'span (x) tanca el modal
span.onclick = function() { 
  modal.style.display = "none";
}
</script>
</body>
</html>