<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<link rel="stylesheet" href="src/animate/animate.min.css" >
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link clicat" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id= "portada" class="contacte">
		<!---<h2 class="petit">Benvinguts a<br /><span class="bold">Cal Candi</span></h2>
         <p class="gran">Casa vostra al Berguedà</p>-->
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
    <div class="quadre">
    <div class="row text-center white">
     <div class="col">
      <!---<h1 class="quadre-title">Som aquí per ajudar-te</h1>-->
      <h4 class="quadre-subtitle">Som aquí per ajudar-te</h4>
       </div>
    </div>
  </div>
  <!--Fi quadre-->
 
 <!-- Inici contacte -->
<section id="contact">
<div class="section-header">
    <h1>Contacta'ns</h1>
    <hr class="linia-bottom"></hr> 
</div> 
 <div class="container">
	<div id="info"> 
      <div class="row">
      <div class="col-md-6 textContacte">
          <p>Si teniu algun dubte, podeu trucar-nos, enviar-nos un correu electrònic o omplir el formulari i ens posarem en contacte amb vosaltres en la major brevetat possible.</p>
          <p>Gràcies</p>
          <br /><br /><br />
          <hr class="linia-bottom"></hr>
      </div>
      <div class="col-md-6 alert">
      <div id="alertContacte">
         <div class="alert alert-dark">
          <p>
            <strong>Restaurant i allotjament</strong>
          </p>
          <p>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
          </p>
          <p>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
          </p>
          </div>
         <div class="alert alert-dark">
          <p>
            <strong>Casa de colònies i activitats</strong>
          </p>
          <p>
            <i class="fas fa-phone"><span>+34 676 40 40 85</span></i>
          </p>
          <p>
            <i class="fas fa-envelope"><span>peptoy@gmail.com</span></i>
          </p>
          </div>
         </div> 
       </div>
     </div>
   </div>
    <div class="row"> 
      <div class="col-md-6">
          <!-- Inici formulari -->
          <form action="envia.php" method="post" role="form" class="contactForm">
            <div id="sendmessage">El teu missatge ha estat enviat. Gràcies!</div>
            <div id="errormessage"></div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="inputName">Nom i Cognoms</label>
              <input type="text" name="nom" class="form-control" placeholder="Nom i Cognoms">
            </div>
            <div class="form-group col-md-6">
              <label for="inputEmail4">Correu electrònic</label>
              <input type="email" name="email" class="form-control" placeholder="Correu electrònic">
            </div>
          </div>
          <div class="form-group">
            <label for="inputAddress">Assumpte</label>
            <input type="text" name="assumpte" class="form-control" placeholder="Assumpte">
          </div>
          <div class="form-group">
            <label for="exampleFormControlTextarea1">Missatge</label>
            <textarea class="form-control" name="missatge" rows="3" placeholder="Missatge"></textarea>
          </div>
          <button class="btn btn-secondary" type="submit" id="send">Enviar</button>
        </form>
          <!-- Fi formulari -->
     </div>
        <div class="col-md-6">
         <!--<div id="map"></div>-->
         <div>
              <iframe src="https://www.google.com/maps/embed/v1/place?key=AIzaSyAJJo3cBt8sDzidcu7-PiZ4sIXwAC6kfvk&q=42.13196788999959, 1.9224149491210483&center=42.15220445301402, 1.8761526501811954&zoom=11" width="100%" height="350" frameborder="0" style="border:0" allowfullscreen></iframe>
          </div>
        </div>
  	</div>
    </div>
</section>
  <!-- Fi contacte -->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>
</html>