<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<link rel="stylesheet" href="src/animate/animate.min.css" >
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id= "portada" class="portada">
          <h2 class="petit">Benvinguts a<br /><span class="bold">Cal Candi</span></h2>
          <p class="gran">Casa vostra al Berguedà</p>
  </div>
  <!--Fi imatge portada-->


<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center white">
     <div class="col">
       <!--<h1 class="quadre-title">Cal Candi</h1>-->
       </div>
    </div>
  </div>
  <!--Fi quadre-->

  <!--Inici Cal Candi-->
<section id="home">  
<div class="section-header">
    <h1>Cal Candi</h1>
    <hr class="linia-bottom"></hr> 
</div>
<div id="info">
    <div class="container">
      <div class="row">
        <div class="col-md-4">
          <div class="info-box wow fadeInUp">
            <div class="info-icon"><i class="fas fa-smile"></i></div>
            <div class="info-text">
              <h3>Satisfacció</h3>
              <p>Fa més de 20 anys que satisfem la gent que passa per casa</p>
            </div>
          </div>
        </div>
        <div class="col-md-4">
          <div class="info-box">
            <div class="info-icon"><i class="fas fa-carrot"></i></div>
            <div class="info-text">
              <h3>Cuina</h3>
              <p> Cuina tradicional d'aquestes contrades</p>
            </div>
          </div>
        </div>
        <div class="col-md-4">
          <div class="info-box">
            <div class="info-icon"><i class="fas fa-mountain"></i></div>
            <div class="info-text">
              <h3>Natura</h3>
              <p>Un lloc idíl·lic per fer activitats a la natura, envoltats per la serralada del Picancel i la serra del Catllaràs</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
  <!--Fi Cal Candi-->
 
<!--Inici Icones-->

<section id="icones">
	<div class="container">
	<div class="row row-eq-height justify-content-center">
    
          <div class="col-md-2 mb-3">
          <div class="card-deck">
            <div class="card">
              <div class="card-body">
                <h5 class="card-title"><a href="allotjament.php">Allotjament</a></h5>
              </div>
            </div>
          </div>
          </div>

          <div class="col-md-2 mb-3">
          <div class="card-deck">
            <div class="card">
              <div class="card-body">
                <h5 class="card-title"><a href="casacolonies.php">Colònies</a></h5>
              </div>
            </div>
          </div>
          </div>

          <div class="col-md-2 mb-3">
          <div class="card-deck">
            <div class="card">
              <div class="card-body">
                <h5 class="card-title"><a href="restaurant.php">Restaurant</a></h5>
              </div>
            </div>
          </div>
          </div>
          
          
           <div class="col-md-2 mb-3">
           <div class="card-deck">
            <div class="card">
              <div class="card-body">
                <h5 class="card-title"><a href="activitats.php">Activitats</a></h5>
              </div>
            </div>
          </div>
          </div>
          
          <div class="col-md-2 mb-3">
          <div class="card-deck">
            <div class="card">
              <div class="card-body">
                <h5 class="card-title"><a href="reserves.php">Reserves</a></h5>
              </div>
            </div>
          </div>
          </div>

        </div>
   </div>
  </div>
  </div>
</section>

<!--Fi Icones-->


<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>
</html>
