<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<link rel="stylesheet" href="src/animate/animate.min.css" >
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<?php
include 'conBD.php';
?>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link clicat" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id="portada" class="ofertes">
		<h2 class="petit">Ofertes</h2>
         <p class="gran">Consulta aquí les nostres promocions</p>
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center white">
     <div class="col">
       <!--<h1 class="quadre-title">Cal Candi</h1>
       <h4 class="quadre-subtitle">Som aquí per ajudar-te</h4>-->
       </div>
    </div>
  </div>
  <!--Fi quadre-->

<!--Inici Ofertes-->

<section id="ofertes">
<div class="section-header">
    <h1>Promocions</h1>
    <hr class="linia-bottom"></hr> 
</div>  
<div id="info"> 
<div class="container">
			<div class="row">
            <?php
			$query="SELECT * FROM ofertes";
			$resultat=$mysqli->query($query)or die($mysqli->error);
			$i=0;
			while ($row=$resultat->fetch_assoc()) {
		  	?>
				<div class="col-md-4" data-aos="slide-up">
                    <div class="card">
  						<img class="card-img-top img-fluid " src="src/img/oferta.jpg">
					  	<div class="card-body">
					  		<h3><?php echo $titol=$row['titol'];?></h3>
					    	<ul class="list-group list-group-flush">
							    <li class="list-group-item"><?php echo $text=$row['text'];?></li>
							</ul>
					  	</div>
					</div>
				</div>
                <?php
				}
				?>
			</div>
            </div>
            </div>
</section>
<!--Fi Ofertes-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>
</html>