<?php session_start(); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/js/docs.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
<link href='src/calendar/packages/core/main.css' rel='stylesheet' />
<link href='src/calendar/packages/daygrid/main.css' rel='stylesheet' />
<script src='src/calendar/packages/core/main.js'></script>
<script src='src/calendar/packages/daygrid/main.js'></script>
<script src='src/calendar/packages/core/locales-all.js'></script>

</head>
<body>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id= "portada" class="reserves">
		<h2 class="petit">Reserva</span></h2>
         <p class="gran">No t'ho pensis més</p>
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center">
     <div class="col">
       <!--<h1 class="quadre-title"></h1>-->
       <h4 class="quadre-subtitle">Selecciona les dates, nosaltres farem la resta</h4>
       </div>
    </div>
  </div>
  <!--Fi quadre-->
   
<section id="calendariDisponibilitat">
<div class="section-header">
        <h1>Comprova la disponibilitat</h1>
        <hr class="linia-bottom"></hr> 
</div> 
<div class="row">
<div class="col-md-6">
<div class="container">  
  <!--Inici CALENDARI-->
  <div id='script-warning'>
    <p>No es poden carregar els esdeveniments</p> 
  </div>
  <div id='loading'>carregant...</div>
  <div id='calendar'></div>
  <!--Fi CALENDARI-->
 </div></div>
<!--Inici formulari reserves-->
<?php $a=($_GET['v1']);?>  <!--Recollim la variable pel GET-->
<div id="reservesForm1" class="col-md-6">
<div class="container">
      <div name="formHab">
      <div class="form-row">
        <div class="form-group col-md-6">  
        <form class="formulari" id="form">
          <label for="">Allotjament</label>
          <select id="reserva" name="reserva" class="form-control" onchange="mostrarInput()">
            <option value="0" id="" selected="selected"></option>
            <?php
            if(strpos($a, 'v') !== false) { //Si el valor de la variable que agafem pel GET conté una 'v' (v1 - v2 - v3 o v4)
				   echo ' <option value="1" selected="selected">Allotjament</option>'; //Fem que quedi seleccionat
			}
			else {
				   echo ' <option value="1">Allotjament</option>';
			}
			
			if (strpos($a, 'c') !== false) { //Si el valor de la variable que agafem pel GET conté una 'c'
				   echo ' <option value="2" selected="selected">Casa de colònies</option>'; //Fem que quedi seleccionat
			}
			else {
				   echo ' <option value="2">Casa de colònies</option>';
			}
            ?>
          </select>
        </div>
        </div>
        
        <!--En cas que es cliqui l'allotament-->
        <div id="allotjamentHab">
        <div class="form-row">
          <div id="habitacions" class="form-group col-md-4">
            <div id="titolHab" name="titolHab"></div>
            <div id="hab" name="hab"></div>
         </div>
          
          <div class="form-group col-md-4">
          	<div id="regims">
            <label for="">Règim* </label>
				<?php
				include "conBD.php";
					$query = "SELECT preuDormir, preuDE, preuMP, preuPC FROM allotjament WHERE id=1";
					  $resultat = $mysqli->query($query);
					  if($row = $resultat->FETCH_ASSOC()){
							$preuDormir = $row['preuDormir'];
							$preuDE = $row['preuDE'];
						    $preuMP = $row['preuMP'];
						    $preuPC = $row['preuPC'];
					  }
					  
				switch ($a) {
				    case "v1":
						echo '<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDormir. '" value="dormir" checked>Dormir<span class="check"></span></label>
								<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDE. '" value="de">Dormir + esmorzar<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuMP. '" value="mp">Mitja pensió<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuPC. '" value="pc">Pensió completa<span class="check"></span></label>'; 
						break;
					case "v2":
						echo '<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDormir. '" value="dormir">Dormir<span class="check"></span></label>
								<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDE. '" value="de" checked>Dormir + esmorzar<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuMP. '" value="mp">Mitja pensió<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuPC. '" value="pc">Pensió completa<span class="check"></span></label>'; 
						break;
					case "v3":
						echo '<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDormir. '" value="dormir">Dormir<span class="check"></span></label>
								<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDE. '" value="de">Dormir + esmorzar<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuMP. '" value="mp" checked>Mitja pensió<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuPC. '" value="pc">Pensió completa<span class="check"></span></label>'; 
						break;
					case "v4":
						echo '<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDormir. '" value="dormir">Dormir<span class="check"></span></label>
								<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDE. '" value="de">Dormir + esmorzar<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuMP. '" value="mp">Mitja pensió<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuPC. '" value="pc" checked>Pensió completa<span class="check"></span></label>';
						break;
						default:
       					echo ' <label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDormir. '" value="dormir">Dormir<span class="check"></span></label>
								<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuDE. '" value="de">Dormir + esmorzar<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuMP. '" value="mp">Mitja pensió<span class="check"></span></label>
             					<label class="radio1"><input class="radio2" type="radio" name="regim" preu="' .$preuPC. '" value="pc">Pensió completa<span class="check"></span></label>';
				}
				
                ?>

            </div>
          </div>
          </div>
          <div class="form-row">
          <div id="allotjamentPers" class="form-group col-md-6">
                    <label for="">Nombre de persones*</label>
                    <input class="form-control" type="number" id="personesReservaA" name="personesReservaA" min="1" max="40">
         </div>
         </div>
         <div class="form-row" id="preuReserva">
         <div class="form-group col-md-6">
       		<label><h5>PREU TOTAL </h5></label> 
            <p class="preusTotal"><i>Per conèixer el preu total introdueix els tres ítems anteriors</i></p>
              <div>
                <input class="form-control" id="total" type="text" placeholder="0 €" disabled/>
              </div>
            </div>
            </div>
        </div><!--Fi allotjamentHab-->     
        <div class="form-row">
        <div class="form-group col-md-6">
          <label for="">Entrada</label>
          <input class="form-control" type="date" placeholder="yyyy-mm-dd" id="dataInici" name="dataInici" required>
        </div>
        <div class="form-group col-md-6">
          <label for="">Sortida</label>
          <input class="form-control" type="date" placeholder="yyyy-mm-dd" id="dataFi" name="dataFi" required>
        </div>
      </div>
      </div> <!--Fi FormHab-->
      <div class="form-row">
        <div class="form-group">
          <button type="button" id="comprovarDispo" class="btn btn-secondary">Comprovar disponiblitat</button>
        </div>
      </div>
      
      <!--Serveis-->
      <br />
      <h2>Serveis</h2>
      <a tabindex="0" class="btn habsReserva1" data-container="body" role="button" data-toggle="popover" data-trigger="focus" data-placement="bottom" data-content="Lavabo a l'interior, televisió i wifi. 4 pax">
      		Habitacions 1-6
    </a>
    <a tabindex="0" class="btn habsReserva2" data-container="body" role="button" data-toggle="popover" data-trigger="focus" data-placement="bottom" data-content="Televisió i wifi. 4 pax">
      		Habitacions 7-10
    </a>
    <a tabindex="0" class="btn habsReserva3" data-container="body" role="button" data-toggle="popover" data-trigger="focus" data-placement="bottom" data-content="El preu es definirà amb la casa de colònies en funció de les activitats i serveis a mida que es desitgin">
      		Colònies
    </a>
     <br /><br />
       <div id="alerta" class="row"></div><br>
    	<div id="alertaDates" class="row"></div><br>
      </div>
      </div>
      </div>
      </section>
      <section id="reservesForm2">
     <div class="container">
         <div class="section-header">
            <h1>Reserva</h1>
            <hr class="linia-bottom"></hr> 
    </div>
        <div class="form-row">
          <div class="form-group col-md-4">
            <label for="">Nom*</label>
            <input class="form-control" type="text" id="nomReserva" name="nomReserva" required>
          </div>
          <div class="form-group col-md-4">
            <label for="">Cognom 1*</label>
            <input class="form-control" type="text" id="cognom1Reserva" name="cognom1Reserva" required>
          </div>
          <div class="form-group col-md-4">
            <label for="">Cognom 2</label>
            <input class="form-control" type="text" id="cognom2Reserva" name="cognom2Reserva">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-4">
            <label for="">DNI*</label>
            <input class="form-control a" type="text" id="dniReserva" name="dniReserva" required>
          </div>
          <div class="form-group col-md-4">
            <label for="">Email*</label>
            <input class="form-control" type="text" id="emailReserva" name="emailReserva" required>
          </div>

        <!--En cas que es cliqui la casa de colònies-->
        <div id="coloniesPers" class="form-group col-md-4">
                <label for="">Nombre de persones*</label>
                <input class="form-control" type="number" id="personesReservaC" name="personesReservaC" min="1" max="95">
            </div>
         </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">Telèfon*</label>
            <input class="form-control" type="text" id="telefonReserva" name="telefonReserva" required>
          </div>
          <div class="form-group col-md-6">
            <label for="">Adreça</label>
            <input class="form-control" type="text" id="adreçaReserva" name="adreçaReserva">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="">Comentaris</label>
            <textarea class="form-control" id="observacionsReserva"></textarea>
          </div>
        </div>
        <div>
          <input  type="button" class="btn btn-secondary" onclick="document.location.reload();" value="Esborrar formulari">
		<button type="button" id="enviarReserva" class="btn btn-secondary">Enviar reserva</button>
        </div>  <!--reserva 2a part-->
      </section>
      </div>
    </div>   <!--formulari reserva-->
    </div>
    </form>
</div>   <!--container-->
<!--Fi formulari reserves-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>


<script>

//Calendari
document.addEventListener('DOMContentLoaded', function() {
        var calendar = new FullCalendar.Calendar(document.getElementById('calendar'), {
		locale: 'ca',
	  plugins: ['dayGrid'],
      header: {
        left: 'prev, next',
        center: 'title',
        right: 'today'
      },
      editable: true,
      navLinks: false, // no es pot navegar pels dies
      eventLimit: false, // no es permet clicar "more" per veure els diferents esdeveniments, ja surten tots en pantalla
      events: {
		url: 'gestioReserva.php?opcio=calendari',
        failure: function() {
          document.getElementById('script-warning').style.display = 'block'
        }
      },
      loading: function(bool) {
        document.getElementById('loading').style.display =
          bool ? 'block' : 'none';
      },
    });

    calendar.render();
  });

$(document).ready(function(){
    $('#reservesForm2').hide();  // amaga la segona part del formulari
	$('#allotjamentHab').hide(); // amaga la part de l'allotjament
});

//Per mostrar les subcondicions de clicar "Allotjament" o "Casa de colònies"
var select = document.getElementById('reserva');  
function mostrarInput(){  
  if(select.value == '2'){ //Si seleccionem la casa de colònies, mostrem l'input Nombre de persones
    	$('#coloniesPers').show();
  }else{
  		$('#coloniesPers').hide();
  }
}

$(function () {
  $('[data-toggle="popover"]').popover()
})

$('.popover-dismiss').popover({
  trigger: 'focus'
})
	 
</script>

<script>

 $(document).on('click keyup','.radio2, #personesReservaA',function() {
  //Per calcular el total hem de buscar quin règim s'ha marcat i multiplicar-lo pel nombre de persones que s'hi allotjaran
  var tot = $('#total');
  tot.val(0);
  var persones = $('#personesReservaA').val(); //Agafem el nombre de persones introduït
		
  $('.radio2').each(function() {
    tot.val(($(this).is(':checked') ? parseFloat($(this).attr('preu'))*persones : 0) + parseFloat(tot.val()) + ' €'); //Si està clicat, agafem l'atribut preu i el multipliquem per les persones
  });
  
  console.log(tot.val(), persones);
 });


$('#comprovarDispo').click(function(){
    infoDisponiblitat = { //Valors de dates
      reserva:$('#reserva').val(),
      dataInici:$('#dataInici').val(),
      dataFi:$('#dataFi').val(),
  };
 
  var dataInici = new Date($('#dataInici').val()); //Guardem les variables de dates
  var dataFi = new Date($('#dataFi').val());
  var avui = new Date();
  if(dataInici >= avui && dataFi > avui && dataFi > dataInici) //Si les dates escollides són correctes, les guardem
  {
      $.ajax({   // envia les dades via Ajax
      type:'POST',
      url:'gestioReserva.php?opcio=disponibilitat',
      data: infoDisponiblitat,
	  dataType: 'JSON',
      success:function(msg){
       if(msg==null){ //Si és null no hi ha disponibilitat
            $("#alertaDates").addClass('alert alert-danger row');
			$("#alertaDates").html('<strong>No hi ha disponibilitat. Prova unes altres dates</strong>');
        }
       else
        {
          $('#reservesForm2').show("slow");  // mostra la part de reserva del formulari
          $('#comprovarDispo').hide(); // amaguem el botó de la disponibilitat
          $('#reserva').attr('disabled', true); // Desactivem els valors de dates i allotjament
          $('#dataInici').attr('disabled', true);
          $('#dataFi').attr('disabled', true);
		 $("#alertaDates").removeClass('alert alert-danger row').empty();
		 $("#alertaDates").addClass('alert alert-success row');
		 $("#alertaDates").html('<strong>Hi ha disponibilitat. Procedeix amb la reserva</strong>');
		 
		 
		if(msg.id == undefined) { //Això que no més es mostri quan es fa la reserva de l'allotjament
		  $("#allotjamentHab").show("slow");
		  $("#titolHab").append("<label for=''>Escull les habitacions que vols*</label>"); //Títol
		 	for (i=0; i< msg.length; i++) { //Imprimeix cada habitació lliure en un checkbox
				$('#hab').append('<input type="checkbox" name="checked[]" value="'+msg[i].id+'" /> Habitació ' + msg[i].id+'<br>');
			 }
		}
        } 
     }, 
      error:function(){
        alert("Error!");
      } 
    }); 
  }
  else
  {
	$("#alertaDates").addClass('alert alert-danger row');
	$("#alertaDates").html('<strong>Les dates que has introduït no son vàlides</strong>');
  }
  });



$('#enviarReserva').click(function(){		
	$("#alertaDates").removeClass('alert alert-success row').empty();
	Dades();
	console.log(novaReserva);
    if (validarReserves(novaReserva)) {
      GuardarInformacio('afegir', novaReserva);
       $('#allotjamentHab').hide();
	   $('#reservesForm2').hide();    // oculta la 2na part del formulari
       $('#comprovarDispo').show();   // mostra el botó de comprovar la disponibilitat
       $('#reserva').attr('disabled', false); // desactiva els botons perquè ja té la informació
       $('#dataInici').attr('disabled', false);
       $('#dataFi').attr('disabled', false);
	   $("#form")[0].reset();
	   $('input[name="checked[]"]').prop("checked", false);
       alert("Reserva feta correctament");
  }

  });
  
  
  function Dades(){   // Recull les dades introduïdes
	  
	  var checkboxes = $('input[name="checked[]"]');
   		 var $checked = checkboxes.filter(":checked"),
     	checkedValues = $checked.map(function () {
            return this.value; //Guardem a checkedvalues un array amb les habitacions triades
        }).get();
	
	  novaReserva = {
      reserva:$('#reserva').val(),
	  hab:checkedValues,
	  regim:$("input[type=radio][name=regim]:checked").val(),
      dataInici:$('#dataInici').val(),
      dataFi:$('#dataFi').val(),
      numPersonesC:$('#personesReservaC').val(),
	  numPersonesA:$('#personesReservaA').val(),
      dniReserva:$('#dniReserva').val(),
      nomReserva:$('#nomReserva').val(),
      cognom1Reserva:$('#cognom1Reserva').val(),
      cognom2Reserva:$('#cognom2Reserva').val(),
      emailReserva:$('#emailReserva').val(),
      telefonReserva:$('#telefonReserva').val(),
      adreçaReserva:$('#adreçaReserva').val(),
	  observacionsReserva:$('#observacionsReserva').val()
    };
  }

  function GuardarInformacio(opcio, objEvento){   //Envia la informació via Ajax a gestioReserva amb l'acció triada
    $.ajax({
      type:'POST',
	  url:'gestioReserva.php?opcio='+opcio,
      data: objEvento,
      success:function(msg){
        if(msg){ // si s'ha guardat correctament
		alert("La reserva s'ha guardat correctament");
        }
      },
      //error:function(){
      //  alert("Error!");
     // }
    });
  }

</script>
</body>
</html>