<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<?php
if(!isset($_SESSION["admin"])) {  
    header("Location: APLogin.php");   //Si no està loggejat, retorna a la pàgina de login
}
else{
  include 'conBD.php';

}
?>

<header class="page-header">
	<div class="divheadAP">
    	<div class="container">
            <div class="user-panelAP">
					<?php 
  						if($_SESSION['logged_in']) { 
      						echo '<span>Hola, </span>' . $_SESSION["admin"] . '  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else {
							echo '<a href="index.php">Tornar a l\'inici</a>';
						}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="APpreus.php">Preus</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APofertes.php">Ofertes</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APreserves.php">Reserves</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="APopinions.php">Opinions</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>

  <!--Inici Opinions-->
<section> 
<div class="section-headerAP">
        <h1>OPINIONS</h1>
        <hr class="linia-bottom"></hr> 
</div> 
<div id="opinionsAP"> 
<div class="container">
<!--Inici Opinons per validar-->
<div style="width:90%; margin:0 auto;">
      <h4>Comentaris per validar</h4>
      <form method="post" action="gestioOpinions.php?opcio=comentari">
      <table class="table table-striped">
        <thead>
            <th>Email</th>
            <th>Nom</th>
            <th>Títol</th>
            <th>Qualitat</th>
            <th>Situació</th>
            <th>Tracte</th>
            <th>Instal·lacions</th>
            <th>Neteja</th>
            <th>Comentari</th>
            <th></th>
          </thead>
          <tbody>
          <?php
			$query0="SELECT * FROM opinio WHERE estat=0 ORDER BY id DESC"; //Comentaris no validats, els més nous primer 
			$resultat=$mysqli->query($query0)or die($mysqli->error);
			$i=0;
			while ($row=$resultat->fetch_assoc()) {
		  ?>
           <tr id="<?php echo $id=$row['id'];?>">
            	<input class="form-control" type="hidden" name="id[<?php echo $i; ?>]" value="<?php echo $id=$row['id'];?>">
                <td><?php echo $email=$row['email'];?></td>
                <td><?php echo $nom=$row['nom'];?></td>
                <td><?php echo $titol=$row['titol'];?></td>
               <td><?php echo $qualitat=$row['qualitat'];?></td>
                <td><?php echo $entorn=$row['entorn'];?></td>
                 <td><?php echo $tracte=$row['tracte'];?></td>
                  <td><?php echo $installacions=$row['installacions'];?></td>
                   <td><?php echo $neteja=$row['neteja'];?></td>
                    <td><?php echo $comentari=$row['comentari'];?></td>
              <td><select name="estat[<?php echo $i; ?>]" value="<?php echo $estat=$row['estat'];?>">
              <option value="0" selected>No validat</option>
              <option value="1">Validat</option>
              </select>
              <br /><br />
              <button type="submit" name="submit">Validar</button></td>
            </tr>
            <?php
			$i++;}
			?>
            <input type="hidden" name="count" value="<?php echo $i; ?>" />
          </tbody>
      </table>
      </form>
<!--Fi Opinons per validar-->
      <br /><br />
<!--inici Opinons validades-->
      <h4>Comentaris validats</h4>
      <table class="table table-striped">
        <thead>
            <th>Email</th>
            <th>Nom</th>
            <th>Títol</th>
            <th>Qualitat</th>
            <th>Situació</th>
            <th>Tracte</th>
            <th>Instal·lacions</th>
            <th>Neteja</th>
            <th>Comentari</th>
            <th></th>
          </thead>
          <tbody>
          <?php
			$query0="SELECT * FROM opinio WHERE estat=1 ORDER BY id DESC"; //Comentaris ja validats, els més nous primer 
			$resultat=$mysqli->query($query0)or die($mysqli->error);
			while ($row=$resultat->fetch_assoc()) {
		  ?>
           <tr id="<?php echo $row['id'];?>">
                <td><?php echo $email=$row['email'];?></td>
                <td><?php echo $nom=$row['nom'];?></td>
                <td><?php echo $titol=$row['titol'];?></td>
               <td><?php echo $qualitat=$row['qualitat'];?></td>
                <td><?php echo $entorn=$row['entorn'];?></td>
                 <td><?php echo $tracte=$row['tracte'];?></td>
                  <td><?php echo $installacions=$row['installacions'];?></td>
                   <td><?php echo $neteja=$row['neteja'];?></td>
                    <td><?php echo $comentari=$row['comentari'];?></td>
                    <td><button class="eliminarOpinio">Eliminar</button></td>
            </tr>
            <?php
			}
			?>
          </tbody>
      </table>
      </div>
</div>
</div>
</section>
<!--Fi Opinons validades-->
<!--Fi Opinons-->
<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
<script>
/****************************ELIMINAR EL REGISTRE DE LA BBDD I EL TR DE LA TABLA****************************************/
$(document).on('click','td button.eliminarOpinio', function(){ 
//Quan fem click a ELIMINAR s'executarà l'esdeveniment per eliminar la fila pare
	var fila_id=($(this).parent().parent().attr('id')); //Recollim l'id
	var dades="id="+fila_id;
		
		$.ajax({
			url: 'gestioOpinions.php?opcio=eliminar',		
			type: 'POST',				
			data:dades,			
			success: function(msg){	
			},
			error: function(){	
			//alert ('Hi ha hagut un error');
			}
			
		});
		
	$('#'+fila_id).remove(); //Eliminem la fila associada a la id
	
});	
</script>
</body>
</html>