<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<?php
if(!isset($_SESSION["admin"])) {  
    header("Location: APLogin.php");   //Si no està loggejat, retorna a la pàgina de login
}
else{
  include 'conBD.php';
  
  //Guardem els preus de la bbdd per mostrar-los per pantalla 
  $query = "SELECT preuDormir, preuDE, preuMP, preuPC FROM allotjament WHERE id=1";
  $resultat = $mysqli->query($query);
  if($row = $resultat->FETCH_ASSOC()){
    $preuDormir = $row['preuDormir'];
    $preuDE = $row['preuDE'];
	$preuMP = $row['preuMP'];
	$preuPC = $row['preuPC'];
  }
  
  if(isset($_POST['submit'])) {  //Guardem els valors en variables 
    $preuDormir = ($_POST['preuDormir']);
    $preuDE = ($_POST['preuDE']); 
    $preuMP = ($_POST['preuMP']);
    $preuPC = ($_POST['preuPC']);  
     
    //Actualitzem la base de dades
    $query = "UPDATE allotjament SET preuDormir = '$preuDormir', preuDE = '$preuDE', preuMP = '$preuMP', preuPC = '$preuPC'"; //No indiquem id perquè totes les habitacions tenen el mateix preu
    $resultat = $mysqli->query($query);
	}
}
?>

<header class="page-header">
	<div class="divheadAP">
    	<div class="container">
            <div class="user-panelAP">
					<?php 
  						if($_SESSION['logged_in']) { 
      						echo '<span>Hola, </span>' . $_SESSION["admin"] . '  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else {
							echo '<a href="index.php">Tornar a l\'inici</a>';
						}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link clicat" href="APpreus.php">Preus</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APofertes.php">Ofertes</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APreserves.php">Reserves</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APopinions.php">Opinions</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>

  <!--Inici Preus-->
<section> 
<div class="section-headerAP">
        <h1>Preus</h1>
        <hr class="linia-bottom"></hr> 
</div> 
<div id="preusAP"> 
<div class="container">
<div style="width:60%; margin:0 auto;">
      <form action="" method="post">
      <table class="table table-striped">
        <thead>
            <tr>
              <th scope="col"></th>
              <th scope="col">Preu</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <th scope="row">Dormir</th>
               <td><input class="form-control" type="text" name="preuDormir" value="<?PHP echo $preuDormir ?>"></td>
            </tr>
            <tr>
              <th scope="row">Dormir + esmorzar</th>
              <td><input class="form-control" type="text" name="preuDE" value="<?PHP echo $preuDE ?>"></td>
            </tr>
            <tr>
              <th scope="row">Mitja pensió</th>
              <td><input class="form-control" type="text" name="preuMP" value="<?PHP echo $preuMP ?>"></td>
            </tr>
            <tr>
              <th scope="row">Pensió completa</th>
              <td><input class="form-control" type="text" name="preuPC" value="<?PHP echo $preuPC ?>"></td>
            </tr>
          </tbody>
      </table>
      <div>
          <button type="submit" name="submit" class="btn btn-secondary actualitzarAP">Actualitzar Preus</button>
      </div>
      </form>
      </div>
</div>
</div>
</section>
<!--Fi Preus-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>
</html>