<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/js/docs.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
<link href='src/calendar/packages/core/main.css' rel='stylesheet' />
<link href='src/calendar/packages/daygrid/main.css' rel='stylesheet' />
<link href='src/calendar/packages/timegrid/main.css' rel='stylesheet' />
<link href='src/calendar/packages/list/main.css' rel='stylesheet' />
<script src='src/calendar/packages/core/main.js'></script>
<script src='src/calendar/packages/interaction/main.js'></script>
<script src='src/calendar/packages/daygrid/main.js'></script>
<script src='src/calendar/packages/timegrid/main.js'></script>
<script src='src/calendar/packages/list/main.js'></script>
<script src='src/calendar/packages/core/locales/ca.js'></script>
<script src='src/calendar/packages/core/locales-all.js'></script>
</head>

<body>
<?php
if(!isset($_SESSION["admin"])) {  
    header("Location: APLogin.php");   //Si no està loggejat, retorna a la pàgina de login
}
else{
  include 'conBD.php';
}
?>

<header class="page-header">
	<div class="divheadAP">
    	<div class="container">
            <div class="user-panelAP">
					<?php 
  						if($_SESSION['logged_in']) { 
      						echo '<span>Hola, </span>' . $_SESSION["admin"] . '  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else {
							echo '<a href="index.php">Tornar a l\'inici</a>';
						}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="APpreus.php">Preus</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APofertes.php">Ofertes</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="APreserves.php">Reserves</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="APopinions.php">Opinions</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>

  <!--Inici Reserves-->
<section> 
<div class="section-headerAP">
        <h1>RESERVES</h1>
        <hr class="linia-bottom"></hr> 
</div> 
<div id="reservesAP"> 
<div class="container">
<div style="width:90%; margin:0 auto;">
      <div id='calendar' style="width:90%; margin:0 auto;"></div>
      <br />
      <button type="button" id="botoAfegir" class="btn btn-secondary actualitzarAP" data-toggle="modal" data-target="#ModalCalendari">Afegir reserva</button>
      <br /><br /> 
      <h4>Reserves Casa de colònies</h4>
      <table class="table table-striped" id="colonies">
        <thead>
            <th>Núm. reserva</th>
            <th>Data Inici</th>
            <th>Data Fi</th>
            <th>Persones</th>
            <th>Comentaris</th>
            <th>DNI</th>
            <th>Nom i cognoms</th>
            <th>Correu electrònic</th>
            <th>Telèfon</th>
            <th>Adreça</th>
            <th></th>
          </thead>
          <tbody>
          <?php
			$query0="SELECT
					r.id,
					r.dataInici,
					r.dataFi,
					r.pax,
					r.comentaris,
					u.dni,
					u.nom,
					u.cognom1,
					u.cognom2,
					u.email,
					u.telefon,
					u.adreça
				FROM reserva r  
				LEFT JOIN usuari u on r.dni = u.dni
                WHERE r.idAllotjament=2 AND r.dataInici >= DATE_SUB(NOW(), INTERVAL 2 DAY)
				ORDER BY dataInici ASC"; 
			$resultat=$mysqli->query($query0)or die($mysqli->error);
			$i=0;
			while ($row=$resultat->fetch_assoc()) {
		  ?>
           <tr id="<?php echo $row['id'];?>">
                <td class="reservaNum"><?php echo $reservaNum=$row['id'];?></td>
                <td class="reservaDataInici"><?php echo $dataInici=$row['dataInici'];?></td>
                <td class="reservaDataFi"><?php echo $dataFi=$row['dataFi'];?></td>
                <td class="reservaPersones"><?php echo $pax=$row['pax'];?></td>
                <td class="reservaComentaris"><?php echo $comentaris=$row['comentaris'];?></td>
                <td class="reservaDni"><?php echo $dni=$row['dni'];?></td>
                 <td class="reservaNom"><?php echo $nom=$row['nom'] ." ". $cognom1=$row['cognom1'] ." ". $cognom2=$row['cognom2'];?></td>
                  <td class="reservaEmail"><?php echo $email=$row['email'];?></td>
                   <td class="reservaTelefon"><?php echo $telefon=$row['telefon'];?></td>
                   <td class="reservaAdreça"><?php echo $telefon=$row['adreça'];?></td>
                   <td><button id="botoModificar" class="botoModificar" data-toggle="modal" data-target="#ModalCalendari">Modificar</button><br /><br />
              		<button class="botoEliminar">Eliminar</button></td>
            </tr>
            <?php
			}
			?>
          </tbody>
      </table>
      
      <br /><br />
      <h4>Reserves Allotjaments</h4>
      <table id="allotjament" class="table table-striped">
        <thead>
            <th>Núm. reserva</th>
            <th>Data Inici</th>
            <th>Data Fi</th>
            <th>Núm. Habitació</th>
            <th>Persones</th>
            <th>Règim</th>
            <th>Comentaris</th>
            <th>DNI</th>
            <th>Nom i cognoms</th>
            <th>Correu electrònic</th>
            <th>Telèfon</th>
            <th>Adreça</th>
            <th></th>
          
          </thead>
          <tbody>
          <?php
			$query="SELECT
					r.id,
					r.idHabitacio,
					r.regim,
					r.dataInici,
					r.dataFi,
					r.pax,
					r.comentaris,
					u.dni,
					u.nom,
					u.cognom1,
					u.cognom2,
					u.email,
					u.telefon,
					u.adreça
				FROM reserva r  
				LEFT JOIN usuari u on r.dni = u.dni
                WHERE r.idAllotjament=1 AND r.dataInici >= DATE_SUB(NOW(), INTERVAL 2 DAY)
				ORDER BY dataInici ASC"; 
			$resultat=$mysqli->query($query)or die($mysqli->error);
			$i=0;
			while ($row=$resultat->fetch_assoc()) {
		  ?>
           <tr id="<?php echo $row['id'];?>">
                <td id="reservaNum"><?php echo $reservaNum=$row['id'];?></td>
                <td id="reservadataInici"><?php echo $dataInici=$row['dataInici'];?></td>
                <td id="reservadataFi"><?php echo $dataFi=$row['dataFi'];?></td>
                <td id="reservaHab"><?php echo $reservaHab=$row['idHabitacio'];?></td>
                <td id="reservaPersones"><?php echo $pax=$row['pax'];?></td>
                <td id="reservaRegim">
						<?php echo $pax=$row['regim'];
						/*switch ($row['regim']) {
								case 'dormir':
									echo "Dormir";
									break;
								case 'de':
									echo "Dormir i esmorzar";
									break;
								case 'mp':
									echo "Mitja pensió";
									break;
								case 'pc':
									echo "Pensió completa";
									break;
							}*/?>
                </td>
               <td id="reservaComentaris"><?php echo $comentaris=$row['comentaris'];?></td>
                <td id="reservaDni"><?php echo $dni=$row['dni'];?></td>
                 <td id="reservaNom"><?php echo $nom=$row['nom'] ." ". $cognom1=$row['cognom1'] ." ". $cognom2=$row['cognom2'];?></td>
                  <td id="reservaEmail"><?php echo $email=$row['email'];?></td>
                   <td id="reservaTelefon"><?php echo $telefon=$row['telefon'];?></td>
                   <td id="reservaAdreça"><?php echo $telefon=$row['adreça'];?></td>
                   <td><button id="botoModificar" class="botoModificar" data-toggle="modal" data-target="#ModalCalendari">Modificar</button><br /><br />
              		<button class="botoEliminar">Eliminar</button></td>
            </tr>
            <?php
			}
			?>
          </tbody>
      </table>
      </div>
</div>
</div>
</section>
<!--Fi Reserves-->

<!-- Modal -->
<div class="modal fade" id="ModalCalendari" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Nova reserva</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
     
        <div class="form-row">
          <div class="form-group col-md-3">
            <label for="">Núm. reserva</label>
            <input type="text" id="reservaNum1" name="reservaNum" class="form-control" readonly>
          </div>
          <div class="form-group col-md-5">
            <label for="">Allotjament</label>
            <select id="reservaReserva1" name="reservaReserva1" class="form-control">
              <option value="1">Allotjament</option>
              <option value="2">Casa de colònies</option>
            </select>
          </div>
          <div class="form-group col-md-4">
            <label for="">Persones</label>
            <input class="form-control" type="text" id="reservaPersones1" name="reservaPersones">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">Núm. habitació</label><br />
            <input type="checkbox" name="checked[]" value="1" /> Habitació 1<br>
            <input type="checkbox" name="checked[]" value="2" /> Habitació 2<br>
            <input type="checkbox" name="checked[]" value="3" /> Habitació 3<br>
            <input type="checkbox" name="checked[]" value="4" /> Habitació 4<br>
            <input type="checkbox" name="checked[]" value="5" /> Habitació 5<br>
            <input type="checkbox" name="checked[]" value="6" /> Habitació 6<br>
            <input type="checkbox" name="checked[]" value="7" /> Habitació 7<br>
            <input type="checkbox" name="checked[]" value="8" /> Habitació 8<br>
            <input type="checkbox" name="checked[]" value="9" /> Habitació 9<br>
            <input type="checkbox" name="checked[]" value="10" /> Habitació 10<br>          
            </div>
          <div class="form-group col-md-6">
            <label for="">Règim</label><br />
           		<label class="radio1"><input type="radio" name="regim" value="dormir">Dormir<span class="check"></span></label>
				<label class="radio1"><input type="radio" name="regim" value="de">Dormir + esmorzar<span class="check"></span></label>
             	<label class="radio1"><input type="radio" name="regim" value="mp">Mitja pensió<span class="check"></span></label>
             	<label class="radio1"><input type="radio" name="regim" value="pc">Pensió completa<span class="check"></span></label>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">Entrada</label>
            <input class="form-control" type="date" placeholder="yyyy-mm-dd" id="reservadataInici1" name="reservadataInici" >
          </div>
          <div class="form-group col-md-6">
            <label for="">Sortida</label>
            <input class="form-control" type="date" placeholder="yyyy-mm-dd" id="reservadataFi1" name="reservadataFi">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-4">
            <label for="">Nom</label>
            <input class="form-control" type="text" id="reservaNom1" name="reservaNom">
          </div>
          <div class="form-group col-md-4">
            <label for="">Cognom1</label>
            <input class="form-control" type="text" id="reservaCognom11" name="reservaCognom">
          </div>
          <div class="form-group col-md-4">
            <label for="">Cognom2</label>
            <input class="form-control" type="text" id="reservaCognom21" name="reservaCognom2">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">DNI</label>
            <input class="form-control" type="text" id="reservaDni1" name="reservaDni">
          </div>
          <div class="form-group col-md-6">
            <label for="">Email</label>
            <input class="form-control" type="text" id="reservaEmail1" name="reservaEmail">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">Telèfon</label>
            <input class="form-control" type="text" id="reservaTelefon1" name="reservaTelefon">
          </div>
          <div class="form-group col-md-6">
            <label for="">Adreça</label>
            <input class="form-control" type="text" id="reservaAdreça1" name="reservaAdreça">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="">Comentaris</label>
            <textarea class="form-control" id="reservaComentaris1"></textarea>
          </div>
        </div>
        
      </div>
      <div class="modal-footer">
        <button type="button" id="botoEliminar2" class="btn btn-danger" data-dismiss="modal">Eliminar</button>
        <button type="button" id="botoModificar2" class="btn btn-info" data-dismiss="modal">Modificar</button>
        <button type="button" id="botoAfegir2" class="btn btn-info">Afegir</button>
      </div>
    </div>
  </div>
</div>


<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
<script>

//Calendari
document.addEventListener('DOMContentLoaded', function() {
        var calendar = new FullCalendar.Calendar(document.getElementById('calendar'), {
		locale: 'ca',
	  plugins: ['interaction', 'dayGrid', 'timeGrid'],
      header: {
        left: 'prev, next, today',
        center: 'title',
		right: 'dayGridMonth,timeGridWeek,timeGridDay'
      },
      selectable: true,
	  editable: true,
      navLinks: false, // no es pot navegar pels dies
      eventLimit: false, // no es permet clicar "more" per veure els diferents esdevenimentss
      events: {
		url: 'gestioReserva.php?opcio=calendari'
      },
	  eventClick:function(info){
        resetForm();
		$('#botoAfegir2').prop("disabled",true);
		$('#botoModificar2').prop("disabled",false);
		$('#botoEliminar2').prop("disabled",false);
		
		if (info.event.extendedProps.idAllotjament==1) { //Això que només ho marqui per l'allotjament
			$(":checkbox[value="+info.event.extendedProps.idHabitacio+"]").prop('checked', true);
			$("input:radio[name=regim][value="+info.event.extendedProps.Regim+"]").prop('checked', true);
		}
		
		//Això és comú a l'allotjament i a la casa de colònies
		$('#reservaNum1').val(info.event.id);
		$('#reservaReserva1').val(info.event.extendedProps.idAllotjament);
		$('#reservadataInici1').val(info.event.extendedProps.dataInici);
		$('#reservadataFi1').val(info.event.extendedProps.dataFi);
		$('#reservaPersones1').val(info.event.extendedProps.pax);	
		$('#reservaComentaris1').val(info.event.extendedProps.comentaris);
		$('#reservaDni1').val(info.event.extendedProps.dni);
		$('#reservaNom1').val(info.event.extendedProps.nom);
		$('#reservaCognom11').val(info.event.extendedProps.cognom1);
		$('#reservaCognom21').val(info.event.extendedProps.cognom2);
		$('#reservaEmail1').val(info.event.extendedProps.email);
		$('#reservaTelefon1').val(info.event.extendedProps.telefon);
		$('#reservaAdreça1').val(info.event.extendedProps.adreça);
		
		$("#ModalCalendari").modal();
      },
    });

    calendar.render();
  });

</script>

<script>
  /****************************AFEGIR UNA RESERVA****************************************/
$('#botoAfegir').click(function(){
	$('#botoModificar2').prop("disabled",true);
	$('#botoAfegir2').prop("disabled",false);
	$('#botoEliminar2').prop("disabled",true);
	resetForm();
});

$('#botoAfegir2').click(function(){
	Dades();
	GuardarInformacio('afegirAP',novaReserva);
	$("#ModalCalendari").modal('toggle');
	location.reload();
});

  /****************************EDITAR UNA RESERVA****************************************/
  //Colònies
$("#colonies").on('click','.botoModificar',function(){
         resetForm();
         var currentRow=$(this).closest("tr"); // Agafem la fila on cliquem
         
         var num=currentRow.find(".reservaNum").html();
		 var dataInici=currentRow.find(".reservaDataInici").html(); 
         var dataFi=currentRow.find(".reservaDataFi").html(); 
		 var persones=currentRow.find(".reservaPersones").html(); 
		 var comentaris=currentRow.find(".reservaComentaris").html();
		 var dni=currentRow.find(".reservaDni").html(); 
		 var nom = currentRow.find(".reservaNom").html().split(' ');
         var email=currentRow.find(".reservaEmail").html(); 
		 var telefon=currentRow.find(".reservaTelefon").html();
		 var adreça=currentRow.find(".reservaAdreça").html();

	$('#botoAfegir2').prop("disabled",true);
	$('#botoModificar2').prop("disabled",false);
	$('#reservaNum1').val(num);
	$('#reservaReserva1').val(2);
	$('#reservadataInici1').val(dataInici);
	$('#reservadataFi1').val(dataFi);
	$('#reservaPersones1').val(persones);
	$('#reservaComentaris1').val(comentaris);
	$('#reservaDni1').val(dni);
	$('#reservaNom1').val(nom[0]);
	$('#reservaCognom11').val(nom[1]);
	$('#reservaCognom21').val(nom[2]);
	$('#reservaEmail1').val(email);
	$('#reservaTelefon1').val(telefon);
	$('#reservaAdreça1').val(adreça);
});

//Allotjament
$("#allotjament").on('click','.botoModificar',function(){
         resetForm();
         var currentRow2=$(this).closest("tr"); // Agafem la fila on cliquem
         
         var num1=currentRow2.find("td:eq(0)").text(); // Agafem el primer valor de la fila
         var dataInici1=currentRow2.find("td:eq(1)").text(); 
         var dataFi1=currentRow2.find("td:eq(2)").text(); 
		 var numHab=currentRow2.find("td:eq(3)").text(); 
		 var persones1=currentRow2.find("td:eq(4)").text(); 
		 var regim=currentRow2.find("td:eq(5)").text();
		 var comentaris1=currentRow2.find("td:eq(6)").text();
		 var dni1=currentRow2.find("td:eq(7)").text(); 
		 var nom1 = currentRow2.find("td:eq(8)").text().split(' ');         
		 var email1=currentRow2.find("td:eq(9)").text(); 
		 var telefon1=currentRow2.find("td:eq(10)").text();

	$('#botoAfegir2').prop("disabled",true);
	$('#botoModificar2').prop("disabled",false);
	$('#reservaNum1').val(num1);
	$('#reservaReserva1').val(1);
	$('#reservadataInici1').val(dataInici1);
	$('#reservadataFi1').val(dataFi1);
	$(":checkbox[value="+numHab+"]").prop('checked', true);		
	$('#reservaPersones1').val(persones1);
	$("input:radio[name=regim][value="+regim+"]").prop('checked', true);	
	$('#reservaComentaris1').val(comentaris1);
	$('#reservaDni1').val(dni1);
	$('#reservaNom1').val(nom1[0]);
	$('#reservaCognom11').val(nom1[1]);
	$('#reservaCognom21').val(nom1[2]);
	$('#reservaEmail1').val(email1);
	$('#reservaTelefon1').val(telefon1);
});

$('#botoModificar2').click(function(){
	Dades();
	GuardarInformacio('modificar', novaReserva);
	$("#ModalCalendari").modal('toggle');
	//$('#calendar').FullCalendar('refetchEvents');
	location.reload();
});

  /****************************ELIMINAR UNA RESERVA****************************************/
$(document).on('click','td button.botoEliminar', function(){	
	var fila_id=($(this).parent().parent().attr('id')); //Recollim l'id
	var id="id="+fila_id;
	GuardarInformacio('eliminar',id);
	location.reload();
});

$('#botoEliminar2').click(function(){
	var id1="id="+$('#reservaNum1').val();
	GuardarInformacio('eliminar',id1);
	$("#ModalCalendari").modal('toggle');
	location.reload();
});
 
 /********************************************************************/ 
  function Dades(){   // Recull les dades introduïdes
	  
	  var checkboxes = $('input[name="checked[]"]');
   		 var $checked = checkboxes.filter(":checked"),
     	checkedValues = $checked.map(function () {
            return this.value; //Guardem a checkedvalues un array amb les habitacions triades
        }).get();
	
	  novaReserva = {
	  numReserva:$('#reservaNum1').val(),
      reserva:$('#reservaReserva1').val(),
	  hab:checkedValues,
	  regim:$("input[type=radio][name=regim]:checked").val(),
      dataInici:$('#reservadataInici1').val(),
      dataFi:$('#reservadataFi1').val(),
	  numPersones:$('#reservaPersones1').val(),
      dniReserva:$('#reservaDni1').val(),
      nomReserva:$('#reservaNom1').val(),
      cognom1Reserva:$('#reservaCognom11').val(),
      cognom2Reserva:$('#reservaCognom21').val(),
      emailReserva:$('#reservaEmail1').val(),
      telefonReserva:$('#reservaTelefon1').val(),
      adreçaReserva:$('#reservaAdreça1').val(),
	  observacionsReserva:$('#reservaComentaris1').val()
    };
  }

  function GuardarInformacio(opcio, dades, modal){   //Envia la informació via Ajax a gestioReserva amb l'acció triada
    $.ajax({
      type:'POST',
	  url:'gestioReserva.php?opcio='+opcio,
      data: dades,
      success:function(msg){
        if(msg){ // si s'ha guardat correctament
		alert("Acció duta a terme correctament");
        }
      },
      //error:function(){
      //  alert("Error!");
     // }
    });
  }
  
function resetForm(){   //Netegem el formulari
    $('#reservaNum1').val('');
	$('#reservaReserva1').val('');
	$('#reservadataInici1').val('');
	$('#reservadataFi1').val('');
	$('#reservaPersones1').val('');
	$('#reservaComentaris1').val('');
	$('#reservaDni1').val('');
	$('#reservaNom1').val('');
	$('#reservaCognom11').val('');
	$('#reservaCognom21').val('');
	$('#reservaEmail1').val('');
	$('#reservaTelefon1').val('');
	$('#reservaAdreça1').val('');
	$("input:radio[name=regim]").prop('checked', false);
	$(":checkbox").prop('checked', false);
}

</script>
</body>
</html>