-- phpMyAdmin SQL Dump
-- version 4.7.3
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:8889
-- Temps de generació: 11-01-2020 a les 17:58:16
-- Versió del servidor: 5.6.35
-- Versió de PHP: 7.1.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de dades: `CalCandi`
--

-- --------------------------------------------------------

--
-- Estructura de la taula `administrador`
--

CREATE TABLE `administrador` (
  `id` int(3) NOT NULL,
  `usuari` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `contrasenya` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `administrador`
--

INSERT INTO `administrador` (`id`, `usuari`, `contrasenya`, `email`) VALUES
(1, 'admin', 'C4lC4ndi', 'nuriacs@uoc.edu');

-- --------------------------------------------------------

--
-- Estructura de la taula `allotjament`
--

CREATE TABLE `allotjament` (
  `id` int(2) NOT NULL,
  `nom` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `capacitat` int(2) NOT NULL,
  `lavabo` tinyint(1) NOT NULL,
  `preuDormir` int(5) NOT NULL,
  `preuDE` int(5) NOT NULL,
  `preuMP` int(5) NOT NULL,
  `preuPC` int(5) NOT NULL,
  `color` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `allotjament`
--

INSERT INTO `allotjament` (`id`, `nom`, `capacitat`, `lavabo`, `preuDormir`, `preuDE`, `preuMP`, `preuPC`, `color`) VALUES
(1, 'Habitacio1', 4, 1, 20, 25, 40, 50, '#9696ff'),
(2, 'Habitacio2', 4, 1, 20, 25, 40, 50, '#9696ff'),
(3, 'Habitacio3', 4, 1, 20, 25, 40, 50, '#9696ff'),
(4, 'Habitacio4', 4, 1, 20, 25, 40, 50, '#9696ff'),
(5, 'Habitacio5', 4, 1, 20, 25, 40, 50, '#9696ff'),
(6, 'Habitacio6', 4, 1, 20, 25, 40, 50, '#9696ff'),
(7, 'Habitacio7', 4, 0, 20, 25, 40, 50, '#ed9898'),
(8, 'Habitacio8', 4, 0, 20, 25, 40, 50, '#ed9898'),
(9, 'Habitacio9', 4, 0, 20, 25, 40, 50, '#ed9898'),
(10, 'Habitacio10', 4, 0, 20, 25, 40, 50, '#ed9898');

-- --------------------------------------------------------

--
-- Estructura de la taula `casacolonies`
--

CREATE TABLE `casacolonies` (
  `id` int(4) NOT NULL,
  `capacitat` int(3) NOT NULL,
  `color` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `casacolonies`
--

INSERT INTO `casacolonies` (`id`, `capacitat`, `color`) VALUES
(1, 95, '#f7fa9b');

-- --------------------------------------------------------

--
-- Estructura de la taula `ofertes`
--

CREATE TABLE `ofertes` (
  `id` int(3) NOT NULL,
  `titol` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `text` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `ofertes`
--

INSERT INTO `ofertes` (`id`, `titol`, `text`) VALUES
(23, 'Parapent', '5% de descompte en el primer vol'),
(24, 'Piragüisme', 'Preus especials per a grups'),
(31, 'Excursionisme', '5% de descompte en sortides amb monitors');

-- --------------------------------------------------------

--
-- Estructura de la taula `opinio`
--

CREATE TABLE `opinio` (
  `id` int(4) NOT NULL,
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `nom` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `titol` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `qualitat` int(1) NOT NULL,
  `entorn` int(1) NOT NULL,
  `tracte` int(1) NOT NULL,
  `installacions` int(1) NOT NULL,
  `neteja` int(1) NOT NULL,
  `comentari` varchar(700) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `estat` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `opinio`
--

INSERT INTO `opinio` (`id`, `email`, `nom`, `titol`, `qualitat`, `entorn`, `tracte`, `installacions`, `neteja`, `comentari`, `estat`) VALUES
(23, 'nuna03@hotmail.com', 'Núria', 'Un tracte immillorable', 5, 4, 5, 4, 5, 'Fantàstic! Ens van tractar molt bé. Les instal·lacions son grans i el menjar és excepcional.', 1),
(24, 'albertmoltna@hotmail.com', 'Albert', 'Perfecte', 5, 5, 5, 4, 5, 'Menjar molt bo en un entorn molt bonic! Molt recomanable', 1);

-- --------------------------------------------------------

--
-- Estructura de la taula `reserva`
--

CREATE TABLE `reserva` (
  `id` int(4) NOT NULL,
  `idAllotjament` int(2) NOT NULL,
  `idHabitacio` int(2) DEFAULT NULL,
  `dataInici` date NOT NULL,
  `dataFi` date NOT NULL,
  `pax` int(2) NOT NULL,
  `Regim` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `dni` varchar(9) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `comentaris` varchar(1000) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `reserva`
--

INSERT INTO `reserva` (`id`, `idAllotjament`, `idHabitacio`, `dataInici`, `dataFi`, `pax`, `Regim`, `dni`, `comentaris`) VALUES
(210, 1, 2, '2020-01-16', '2020-01-18', 3, 'mp', '76545677A', 'Venim amb un nen de 5 mesos'),
(211, 1, 5, '2020-01-17', '2020-01-19', 3, 'dormir', '24526824S', ''),
(213, 1, 7, '2020-01-17', '2020-01-19', 3, 'dormir', '24526824S', ''),
(215, 1, 9, '2020-01-20', '2020-01-26', 3, 'mp', '03563904P', ''),
(220, 1, 6, '2020-02-07', '2020-02-09', 4, 'pc', '13624700Y', ''),
(221, 1, 7, '2020-02-07', '2020-02-09', 4, 'pc', '13624700Y', ''),
(225, 1, 4, '2020-01-08', '2020-01-12', 3, 'pc', '82371154N', ''),
(229, 1, 10, '2020-01-14', '2020-01-19', 2, 'mp', '39308519R', ''),
(230, 1, 7, '2020-01-04', '2020-01-05', 4, 'mp', '76875554F', ''),
(253, 2, NULL, '2020-01-24', '2020-01-31', 75, '', '78676654J', ''),
(255, 2, NULL, '2020-01-13', '2020-01-20', 25, '', '78097778J', ''),
(256, 2, NULL, '2020-02-12', '2020-02-16', 74, NULL, '89554378H', ''),
(257, 1, 1, '2020-02-20', '2020-02-22', 3, 'dormir', '45677867H', ''),
(266, 1, 9, '2020-01-17', '2020-01-19', 4, 'pc', '78097778J', ''),
(276, 1, 3, '2020-01-31', '2020-02-02', 2, 'de', '65568767H', 'Arribarem a les 8 del vespre'),
(277, 1, 6, '2020-01-31', '2020-02-02', 3, 'de', '65568767H', 'Arribarem a les 8 del vespre'),
(278, 1, 5, '2020-01-31', '2020-02-02', 3, 'de', '65568767H', 'Arribarem a les 8 del vespre'),
(279, 1, 1, '2020-01-24', '2020-01-26', 4, 'dormir', '67653345G', ''),
(286, 2, NULL, '2019-12-26', '2020-01-03', 45, NULL, '56330997H', '');

-- --------------------------------------------------------

--
-- Estructura de la taula `usuari`
--

CREATE TABLE `usuari` (
  `dni` varchar(9) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `nom` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `cognom1` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `cognom2` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `telefon` int(9) NOT NULL,
  `adreça` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `contrasenya` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `usuari`
--

INSERT INTO `usuari` (`dni`, `nom`, `cognom1`, `cognom2`, `telefon`, `adreça`, `email`, `contrasenya`) VALUES
('03563904P', 'Jaume', 'Trail', 'Casas', 645784625, '', 'jaumetrail@gmail.com', NULL),
('13624700Y', 'Marta', 'Casas', 'Figa', 676556712, '', 'mcfiga@gmail.com', NULL),
('24526824S', 'Àlex', 'Pérez', 'López', 654786543, 'Casa Llul, 25, 2n 2a. 25280 Solsona', 'alexperez@hotmail.com', NULL),
('34364430S', 'Laia', 'Pala', 'Contesa', 654987635, 'C/ Pala, Arbúcies', 'laiapala@hotmail.com', NULL),
('35380269J', 'Paula', 'Ventura', 'Valls', 677565758, '', 'paulavv@hotmail.com', NULL),
('39308519R', 'Carme', 'Solà', 'Bonsfills', 698787873, '', 'carmes@gmail.com', NULL),
('43910097S', 'Pau', 'Gómez', 'Cruz', 677009090, '', 'paugomezcruz@hotmail.com', NULL),
('45665434G', 'Pau', 'Cots', 'Frank', 644345434, '', 'paucots@gmail.com', NULL),
('45677867H', 'Cris', 'Gurton', 'Bala', 678665435, '', 'crisgurton22@gmail.com', NULL),
('50998515V', 'Pau', 'Ventura', 'Fernández', 677667751, '', 'pauvf@hotmail.com', NULL),
('56330997H', 'Laia', 'Casas', 'Cotxé', 644562267, 'Escola Pau, Sabadell', 'laiacasas@escolapau.cat', NULL),
('65568767H', 'Pau', 'Márquez', 'Codina', 688784432, '', 'paumarquez@gmail.com', NULL),
('65765678F', 'Joana', 'Lluch', 'Joana', 677656788, '', 'joana@hotmail.com', NULL),
('67653345G', 'Joan', 'Martí', 'Pérez', 699876734, '', 'joanmarti@gmail.com', NULL),
('69501290M', 'Pere', 'Mater', 'Matt', 678676766, 'Escola Pia, Sabadell', 'pmater@gmail.com', NULL),
('76545677A', 'Joanal', 'Cases', 'Marià', 678543887, 'C/ Prim 25, Berga', 'joanalcases@gmail.com', '2f6628d8cdbb4c759662'),
('76875554F', 'Lola', 'Perez', 'Gomez', 678765122, '', 'lolaperez@hotmail.com', NULL),
('78097778J', 'Joana', 'Jailly', 'Pla', 677876445, '', 'nuna03@hotmail.com', NULL),
('78655654F', 'Joan', 'Casòlia', 'Carol', 677678988, '', 'joancasolia@gmail.com', NULL),
('78676654J', 'Roger', 'Trilla', 'Domínguez', 678654456, '', 'rtrilla@hotmail.com', NULL),
('78986654H', 'Joan', 'Ramon', 'Trilla', 664564434, '', 'joan@joanramon.com', NULL),
('82371154N', 'Pepeta', 'Dolors', 'Bonsai', 667545543, '', 'pdolorsb@gmail.com', NULL),
('89554378H', 'Joana', 'Joh', 'Bunyi', 678843322, '', 'jojoh@gmail.com', NULL);

--
-- Indexos per taules bolcades
--

--
-- Index de la taula `administrador`
--
ALTER TABLE `administrador`
  ADD PRIMARY KEY (`id`);

--
-- Index de la taula `allotjament`
--
ALTER TABLE `allotjament`
  ADD PRIMARY KEY (`id`);

--
-- Index de la taula `casacolonies`
--
ALTER TABLE `casacolonies`
  ADD PRIMARY KEY (`id`);

--
-- Index de la taula `ofertes`
--
ALTER TABLE `ofertes`
  ADD PRIMARY KEY (`id`);

--
-- Index de la taula `opinio`
--
ALTER TABLE `opinio`
  ADD PRIMARY KEY (`id`);

--
-- Index de la taula `reserva`
--
ALTER TABLE `reserva`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idHabitacio` (`idHabitacio`),
  ADD KEY `reserva_ibfk_2` (`dni`);

--
-- Index de la taula `usuari`
--
ALTER TABLE `usuari`
  ADD PRIMARY KEY (`dni`);

--
-- AUTO_INCREMENT per les taules bolcades
--

--
-- AUTO_INCREMENT per la taula `administrador`
--
ALTER TABLE `administrador`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT per la taula `allotjament`
--
ALTER TABLE `allotjament`
  MODIFY `id` int(2) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT per la taula `casacolonies`
--
ALTER TABLE `casacolonies`
  MODIFY `id` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT per la taula `ofertes`
--
ALTER TABLE `ofertes`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT per la taula `opinio`
--
ALTER TABLE `opinio`
  MODIFY `id` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;
--
-- AUTO_INCREMENT per la taula `reserva`
--
ALTER TABLE `reserva`
  MODIFY `id` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=344;
--
-- Restriccions per taules bolcades
--

--
-- Restriccions per la taula `reserva`
--
ALTER TABLE `reserva`
  ADD CONSTRAINT `reserva_ibfk_1` FOREIGN KEY (`idHabitacio`) REFERENCES `allotjament` (`id`),
  ADD CONSTRAINT `reserva_ibfk_2` FOREIGN KEY (`dni`) REFERENCES `usuari` (`dni`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
