<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id= "portada" class="activitats">
		<h2 class="petit">VILADA</h2>
         <p class="gran">Vine i descobreix-nos</p>
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center white">
     <div class="col">
       <!--<h1 class="quadre-title">Cal Candi</h1>
       <h4 class="quadre-subtitle">Som aquí per ajudar-te</h4>-->
       </div>
    </div>
  </div>
  <!--Fi quadre-->
<section id="act">
<div class="section-header">
    <h1>L'entorn</h1>
    <hr class="linia-bottom"></hr> 
</div>   
<div id="info"> 
<div class="container">
  <div class="row" >
  	<div class="col-md-6">
  		<p>L’Alt Berguedà està format de l’oest a l’est per l’altívola i llarga serra del Cadí i del Moixeró, del qual s’estén la Cerdanya, des de l’extrem occidental, a mig camí entre la Canal del Cristall i el Comabona, fins la Tossa d’Alp al nord i les estribacions de la serra de Montgrony a l’est.</p>
        <p>Pel que fa als límits meridionals, estan assenyalats per les muntanyes i cingleres dels Rasos de Peguera, Ensija, el Verd, Catllaràs... al sud de les parets per les quals es perd el caràcter muntanyenc, estenent-se derivacions d’ordre inferior pel Baix Berguedà (serra de Picancel).</p>
        <p>Aquests límits formen un aspecte homogeni sota el punt de vista muntanyenc, ja que totes les serres que hi estan compreses tenen un lligam, estenent-se en totes direccions i donant origen a les més diverses i belles formes del relleu, amb alteroses muntanyes com el Moixeró (2028 m), Penyesaltes (2260m), la Tossa d’Alp (2531), el Puigllançada (2406), el famós Pedraforca (2479) i les serres del Verd (2274), d’Ensija (2307), Rasos de Peguera (2067), Catllaràs (1776) i el Cadí.</p></div>

<!--Inici CAROUSEL-->
    <div class="col-md-6" data-aos="fade-up">
		<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">         	
        	<div class="carousel-inner">
        		<div class="carousel-item active">
          			<img src="src/img/entorn5.jpg" class="d-block w-100" alt="...">
        		</div>
                <div class="carousel-item">
                    <img src="src/img/entorn7.jpg" class="d-block w-100" alt="...">
                </div>
                <div class="carousel-item">
                    <img src="src/img/entorn2.jpg" class="d-block w-100" alt="...">
                </div>
                <div class="carousel-item">
                    <img src="src/img/parapent4.jpg" class="d-block w-100" alt="...">
                </div>    
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Anterior</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Següent</span>
            </a> 
   		</div>
  </div>
  </div>
</div>
</div>
</section>
<!-- Fi CAROUSEL-->

<!--Inici ACTIVITATS-->

<section id="activitats">
<div class="section-padding">
    <h1>Activitats</h1>
    <hr class="linia-bottom"></hr> 
</div>
			<div class="section-padding"> 
			<div class="container">
			<div class="row">
				<div class="col-md-4" data-aos="slide-up">
                    <div class="card">
  						<img class="card-img-top img-fluid " src="src/img/parapent2.jpg">
					  	<div class="card-body">
					  		<h3>Parapent</h3>
					    	<ul class="list-group list-group-flush">
							    <li class="list-group-item">Vine a gaudir d'unes vistes úniques del Berguedà volant amb parapent biplaça</li>
							</ul>
					  	</div>
					</div>
				</div>
				<div class="col-md-4" data-aos="slide-up">
					<div class="card">
  						<img class="card-img-top img-fluid " src="src/img/piraguisme.jpg">
					  	<div class="card-body">
					  		<h3>Piragüisme</h3>
					    	<ul class="list-group list-group-flush">
							    <li class="list-group-item">Per a realitzar piragüisme al pantà de la Baells és necessari saber nadar, ser major d'edat o anar acompanyat d'un adult</li>
							    <li class="list-group-item">Preus especials per a grups</li>
							</ul>
					  	</div>
					</div>
				</div>
				<div class="col-md-4" data-aos="slide-up">
					<div class="card">
  						<img class="card-img-top img-fluid" src="src/img/excursionisme.jpg">
					  	<div class="card-body">
					  		<h3>Excursionisme</h3>
					    	<ul class="list-group list-group-flush">
							    <li class="list-group-item">A Vilada hi ha diferents PR-C i GR senyalitzats per gaudir de la muntanya mentre caminem.</li>
							</ul>
					  	</div>
					</div>
				</div>
			</div>
            </div>
            </div>
</section>
<!--Fi ACTIVITATS-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>
</html>