<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<link rel="stylesheet" href="src/animate/animate.min.css" >
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
<script>

//Llistem els comentaris a #comments
$(document).ready(function(){
  var xmlhttp = new XMLHttpRequest();
  xmlhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
        document.getElementById("comments").innerHTML = this.responseText;
    }
  }
  xmlhttp.open("GET", "printOpinions.php", true);
  xmlhttp.send();
});
</script>
</head>
<body>
<?php
include 'conBD.php';
?>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div>                                                    
        </div>       
	</div>
	
    <!--- Inici menú -->
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link clicat" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id= "portada" class="opinions">
		<!---<h2 class="petit">Benvinguts a<br /><span class="bold">Cal Candi</span></h2>
         <p class="gran">Casa vostra al Berguedà</p>-->
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center white">
     <div class="col">
       <!--<h1 class="quadre-title">Cal Candi</h1>
       <h4 class="quadre-subtitle">Som aquí per ajudar-te</h4>-->
       </div>
    </div>
  </div>
  <!--Fi quadre-->

  <!--Inici opinions-->
<section id="opinions">  
<div class="section-header">
    <h1>Opina sobre nosaltres</h1>
    <hr class="linia-bottom"></hr> 
</div>
<div id="info" > 
<div class="container">
<div class="row">
<div class="col-md-6 comentarisFets">
	<div> 
    	<h3>Què diuen de nosaltres</h3>
        <div id="comments"> <!--S'imprimeixen aquí els comentaris-->
        </div>
       </div>
</div>
<div class="col-md-6">
  <div class="deixaComentari">
    <h3>Deixa el teu comentari</h3>
    <form method="post">
      <div class="input-group ">
      <label >Nom*</label>
        <input class="input-field col-md-12 col-sm-12 col-xs-12" type="text" id="nom" name="nom" required>
      </div>  
      <div class="input-group">
      <label>Correu electrònic*</label>
        <input class="input-field col-md-12 col-sm-12 col-xs-12" type="text" id="email" name="email" required>
      </div>
      <div class="form-group">
        <label>Títol*</label>
        <textarea class="form-control" id="titol" required></textarea>
      </div>
      <div class="input-group">
        <label>Valoració*</label><br />
        <div id="columnes">
        <div class="titolOpinio"><p>Relació qualitat/preu</p></div>
        <div class="estrelles">
          <p class="puntuacio">
            <input id="q1" type="radio" name="qualitat" id="qualitat" value="5">
             <label for="q1">★</label>
             <input id="q2" type="radio" name="qualitat" id="qualitat" value="4">
             <label for="q2">★</label>
             <input id="q3" type="radio" name="qualitat" id="qualitat" value="3">
             <label for="q3">★</label>
             <input id="q4" type="radio" name="qualitat" id="qualitat" value="2">
             <label for="q4">★</label>
             <input id="q5" type="radio" name="qualitat" id="qualitat" value="1">
             <label for="q5">★</label>
            </p>
        </div><br>
        
      
        <div class="titolOpinio"><p>Entorn</p></div>
        <div class="estrelles">
          <p class="puntuacio">
            <input id="e1" type="radio" name="entorn" id="entorn" value="5">
             <label for="e1">★</label>
             <input id="e2" type="radio" name="entorn" id="entorn" value="4">
             <label for="e2">★</label>
             <input id="e3" type="radio" name="entorn" id="entorn" value="3">
             <label for="es3">★</label>
             <input id="e4" type="radio" name="entorn" id="entorn" value="2">
             <label for="e4">★</label>
             <input id="e5" type="radio" name="entorn" id="entorn" value="1">
             <label for="e5">★</label>
            </p>
        </div><br>
        
        <div class="titolOpinio"><p>Tracte</p></div>
        <div class="estrelles">
          <p class="puntuacio">
            <input id="t1" type="radio" name="tracte" id="tracte" value="5">
             <label for="t1">★</label>
             <input id="t2" type="radio" name="tracte" id="tracte" value="4">
             <label for="t2">★</label>
             <input id="t3" type="radio" name="tracte" id="tracte" value="3">
             <label for="t3">★</label>
             <input id="t4" type="radio" name="tracte" id="tracte" value="2">
             <label for="t4">★</label>
             <input id="t5" type="radio" name="tracte" id="tracte" value="1">
             <label for="t5">★</label>
            </p>
        </div><br>
        
        <div class="titolOpinio"><p>Instal·lacions</p></div>
        <div class="estrelles">
          <p class="puntuacio">
            <input id="i1" type="radio" name="instal" id="instal" value="5">
             <label for="i1">★</label>
             <input id="i2" type="radio" name="instal" id="instal" value="4">
             <label for="i2">★</label>
             <input id="i3" type="radio" name="instal" id="instal" value="3">
             <label for="i3">★</label>
             <input id="i4" type="radio" name="instal" id="instal" value="2">
             <label for="i4">★</label>
             <input id="i5" type="radio" name="instal" id="instal" value="1">
             <label for="i5">★</label>
            </p>
        </div><br>

        <div class="titolOpinio"><p>Neteja</p></div>
        <div class="estrelles">
          <p class="puntuacio">
            <input id="n1" type="radio" name="neteja" id="neteja" value="5">
             <label for="n1">★</label>
             <input id="n2" type="radio" name="neteja" id="neteja" value="4">
             <label for="n2">★</label>
             <input id="n3" type="radio" name="neteja" id="neteja" value="3">
             <label for="n3">★</label>
             <input id="n4" type="radio" name="neteja" id="neteja" value="2">
             <label for="n4">★</label>
             <input id="n5" type="radio" name="neteja" id="neteja" value="1">
             <label for="n5">★</label>
            </p>
        </div>
      </div>
      </div>

      <div class="form-group">
        <label for="comentari">Comentari</label>
        <textarea class="form-control" rows="5" id="comentari"></textarea>
      </div>
      <div id="boto">
        <button class="btn btn-secondary" type="button" id="comment">Enviar comentari</button>
      </div>
    </form>
  </div>    
  </div>
</div> 
</div> <!--Fi container-->
</div>
</section>

<!--Fi opinions-->


<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada<span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>

<script>

  $('#comment').click(function(){
    opinio = {
      //Agafem els valors introduïts
      nom:$('#nom').val(),
      email:$('#email').val(),
	  titol:$('#titol').val(),
      qualitat:document.querySelector('input[name="qualitat"]:checked').value,
      entorn:document.querySelector('input[name="entorn"]:checked').value,
      tracte:document.querySelector('input[name="tracte"]:checked').value,
      instal:document.querySelector('input[name="instal"]:checked').value,
      neteja:document.querySelector('input[name="neteja"]:checked').value,
      comentari:$('#comentari').val()
    };
    console.log(opinio);
    $.ajax({   //Enviem les dades via POST a gestioOpinions.php
      type:'POST',
      url:'gestioOpinions.php?opcio=opinio',
      data: opinio,
      success:function(msg){
        if(msg){ //Si tot està ok tornem a carregar la pàgina
          location.reload();
		  alert("Comentari enviat correctament. Gràcies per la confiança");
        }
        else{
          alert("No tenim cap reserva amb aquest correu");
        } 
      },
      error:function(){
       alert("Hi ha un error!");
      }
    });
  });

  
</script>

</body>
</html>