<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html lang="ca">
<head>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Cal Candi</title>
<link rel="stylesheet" href="src/css/fontawesome/css/all.css">
<link rel="stylesheet" href="src/css/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/style.css">
<link rel="stylesheet" href='https://fonts.googleapis.com/css?family=Montserrat'>
<link rel="stylesheet" href="src/animate/animate.min.css" >
<script src="src/js/jquery-3.4.1.min.js"></script>
<script src="src/css/bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
<header class="page-header">
	<div class="divhead">
    	<div class="container">
    		<div class="header-far">
                <i class="fas fa-phone"><span>93 823 83 13</span></i>
                <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
            </div>
            <div class="user-panel">
					<?php 
  						if(!empty($_SESSION['logged_in'])) { 
      						echo '<a href="APpreus.php">Hola, ' . $_SESSION["admin"] . '</a>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
						else if(!empty($_SESSION['logged'])) { 
      						echo '<span>Hola, ' . $_SESSION["usuari"] . '</span>  /  
      								<a href="logout.php">Desconnectar</a>';
    					}
  						else {
     						 echo '<a href="APregistre.php">Registra\'t</a> / 
									<a href="APlogin.php">Connecta\'t</a>';
    					}
  					?>
			</div> 
        </div>       
	</div>
	
    <!--- Inici menú --> 
	    	<nav class="navbar navbar-expand-lg navbar-light">
		 		<a class="navbar-brand" href="index.php">
    				<img src="src/logo.png" width="160" class="d-inline-block" alt="">
		 		</a>
		 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
		    		<span class="navbar-toggler-icon"></span>
		 		</button>
			  	<div class="collapse navbar-collapse" id="navbarText">
			    	<ul class="navbar-nav ml-auto">
			      		<li class="nav-item">
			        		<a class="nav-link" href="allotjament.php">Allotjament</a>
			      		</li>
					    <li class="nav-item">
					    	<a class="nav-link" href="casacolonies.php">Casa de colònies</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link clicat" href="restaurant.php">Restaurant</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="activitats.php">Activitats</a>
					    </li>
					    <li class="nav-item">
					    	<a class="nav-link" href="reserves.php">Reserves</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="opinions.php">Opinions</a></a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="ofertes.php">Ofertes</a>
					    </li>
                        <li class="nav-item">
					    	<a class="nav-link" href="contacte.php">Contacte</a>
					    </li>
				    </ul>
				</div>
			</nav>
			<!--- Fi menú -->
</header>
            <!--Inici Imatge portada-->
  <div id= "portada" class="restaurant">
		<!---<h2 class="petit">Benvinguts a<br /><span class="bold">Cal Candi</span></h2>
         <p class="gran">Casa vostra al Berguedà</p>-->
  </div>
  <!--Fi imatge portada-->
    
<!--Inici quadre-->
  <div class="quadre">
    <div class="row text-center white">
     <div class="col">
       <!--<h1 class="quadre-title">Cal Candi</h1>
       <h4 class="quadre-subtitle">Som aquí per ajudar-te</h4>-->
       </div>
    </div>
  </div>
  <!--Fi quadre-->
<section id="rest">
<div class="section-header">
    <h1>Restaurant</h1>
    <hr class="linia-bottom"></hr> 
</div>  
<div id="info"> 
<div class="container">
  <div class="row" >
  	<div class="col-md-6">
  		<p>Restaurant de cuina casolana on es pot gaudir dels plats que ofereix aquesta regió del Berguedà.</p>
        <p>Podreu tastar des d'uns pèsols negres, unes patates emmascarades o uns canalons fins a un bacallà amb samfaina, peus de porc, vedella amb bolets o un llarg etcètera de plats de la zona.</p>
        <p>També disposem d'opcions per a vegeterians i celíacs</p></div>

<!--Inici CAROUSEL-->
    <div class="col-md-6" data-aos="fade-up">
		<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">         	
        	<div class="carousel-inner">
        		<div class="carousel-item active">
          			<img src="src/img/restaurant.jpg" class="d-block w-100" alt="...">
        		</div>
                <div class="carousel-item">
                    <img src="src/img/restaurant1.jpg" class="d-block w-100" alt="...">
                </div>
                <div class="carousel-item">
                    <img src="src/img/terrassa.jpg" class="d-block w-100" alt="...">
                </div>
                 <div class="carousel-item">
                    <img src="src/img/restaurant2.jpg" class="d-block w-100" alt="...">
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Anterior</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Següent</span>
            </a> 
   		</div>
  </div>
  </div>
</div>
</div>
</section>
<!--Fi CAROUSEL-->

<!--Inici Informació Horaris i Menú-->

   <section id="restaurant">
      <div class="container">
        <div class="wrapper">
            <div class="box">
              <div class="icon"><i class="far fa-clock" style="color: #e9bf06;"></i></div>
              <h4 class="title">Horaris</h4>
              <p class="description">De 9:00 a 21:00 h els dies de primavera i estiu i de 9:00 a 18:00 h els dies de tardor i hivern</p>
             <p class="description">Obert tots els dies de l'any excepte el 24 i el 25 de desembre</p>
            <p class="description">Els dies festius recomanem reservar</p>
          </div>
            <div class="box">
              <div class="icon"><i class="fas fa-utensils" style="color: #e9bf06;"></i> </div>
              <h4 class="title">Menú</h4>
              <p class="description">El menú varia diàriament, però sempre està constituït per un entrant, primer, segon i postres</p>
              <p class="description">Inclou pa, vi, aigua i gaseosa</p>
              <p class="description">Cafès a part</p>

          </div>
     </div>
      </div>
    </section>

  <!--Fi Informació Horaris i Menú-->

<footer>
	<div class="containerFooter">
    	<div class="divfooter">
          	<i class="fas fa-home"><span>Cal Candi, 08613 Vilada</span></i>
            <i class="fas fa-phone"><span>93 823 83 13</span></i>
            <i class="fas fa-envelope"><span>calcandi.vilada@gmail.com</span></i>
    	</div>
  	</div>
  
  	<div class="copyright">
		<p>© Cal Candi 2019</p>
  	</div>

</footer>
</body>
</html>
